#apiVersion: argoproj.io/v1alpha1
#kind: Application
#metadata:
#  name: wekan
#  finalizers:
#  - resources-finalizer.argocd.argoproj.io
#spec:
#  project: default
#  source:
#    repoURL: 'https://wekan.github.io/charts/'
#    targetRevision: 7.*.*
#    helm:
#      parameters:
#        - name: 'ingress.enabled'
#          value: 'true'
#        - name: 'endpoint'
#          value: 'wekan.innovation-hub-niedersachsen.de'
#        - name: ingress.hosts[0]
#          value: 'wekan.innovation-hub-niedersachsen.de'
#        - name: 'ingress.tls[0].hosts[0]'
#          value: 'wekan.innovation-hub-niedersachsen.de'
#        - name: 'ingress.tls[0].secretName'
#          value: wekan-tls
#        - name: ingress.annotations.traefik\.ingress\.kubernetes\.io\/router\.entrypoints
#          value: websecure
#        - name: ingress.annotations.kubernetes\.io\/ingress\.class
#          value: traefik
#        - name: ingress.annotations.traefik\.ingress\.kubernetes\.io\/router\.tls
#          value: 'true'
#          forceString: true
#        - name: ingress.annotations.cert-manager\.io\/cluster-issuer
#          value: lets-encrypt
#        - name: autoscaling.enabled
#          value: 'false'
#        - name: sharedDataFolder.storageClass
#          value: local-path
#        - name: mongodb.replicaCount
#          value: '1'
#        - name: root_url
#          value: https://wekan.innovation-hub-niedersachsen.de
#    chart: wekan
#  destination:
#    server: 'https://kubernetes.default.svc'
#    namespace: wekan
#  syncPolicy:
#    managedNamespaceMetadata:
#      labels: 
#        pod-security.kubernetes.io/enforce: "privileged"
#    automated:
#      selfHeal: true
#      prune: true
#    syncOptions:
#      - CreateNamespace=true
